## octavia 5.0.0

=== debian/changelog ===
octavia (5.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:11:50 +0100

octavia (5.0.0~rc2-0ubuntu1) eoan; urgency=high

  * SECURITY UPDATE: New upstream release candidate including
    security fix to enforce two-way authentication between
    amphora agents and the octavia control plane (LP: #1847243):
    - CVE-2019-17134

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 17:23:31 +0100

octavia (5.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/disable-sphinxcontrib.rsvgconverter.patch: Disable use of
    sphinxcontrib.rsvgconverter until packaged.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2019 11:17:28 +0100

octavia (5.0.0~b2~git2019073019.f80f25e8-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 19:07:33 +0200

octavia (5.0.0~b1~git2019061341.620c1980-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/p/*: Dropped, included in snapshot.
  * d/rules: Drop python3- prefix for policy and config generation.
  * d/control: Add python3-sphinx-feature-classification to BD's.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 17:07:19 +0100

octavia (4.0.0-0ubuntu2) eoan; urgency=medium

  * d/p/bug1826875.patch: Cherry-picked from upstream to prevent
    issue when percona is configured with pxc-strict-mode=ENFORCING
    (LP: #1826875).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 17:23:52 +0200
