## octavia 5.0.1

=== debian/changelog ===
octavia (5.0.1-1) unstable; urgency=medium

  * octavia-api.postinst:
    - Set bind_host in api_settings when configuring
      through debconf
  * octavia-common.postinst:
    - Set credentials in service_auth when configuring
      through debconf
  * octavia-health-manager.{config,postinst}:
    - Set bind host,port and heartbeat_key when configuring
      through debconf
  * d/rules:
    - Do not use noop fake drivers in config file
    - Fix default domain in service_auth
    - Readd keystone_auth by pkgos tools
    - Fix oslo_messaging topic to octavia_prov
  * Add some lintian overrirdes
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 31 Dec 2019 16:27:11 +0100

octavia (5.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 21:56:26 +0200

octavia (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:44:14 +0200

octavia (5.0.0~rc2-3) experimental; urgency=medium

  * Fix unix rights of /var/lib/octavia/ping-wrapper.sh in octavia-agent.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 22:32:34 +0200

octavia (5.0.0~rc2-2) experimental; urgency=medium

  * Add in the agent, so it's not needed to configure in the image:
    - /var/lib/octavia/haproxy-default-user-group.conf
    - /etc/modules-load.d/octavia-agent.conf
    - /var/lib/octavia/ping-wrapper.sh
    - /etc/sysctl.d/octavia-agent-sysctl.conf
  * Add a bunch of runtime dependencies in octavia-agent, so that we don't
    need to add it when building the image.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 21:11:15 +0200

octavia (5.0.0~rc2-1) experimental; urgency=medium

  * New upstream release fixing CVE-2019-17134 (Closes: #941897).

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2019 14:46:10 +0200

octavia (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless patch: hardcode-doc-path.patch.
  * Removed patch applied upstream:
    - Fix_template_that_generates_vrrp_check_script.patch
  * Add remove-sphinxcontrib.rsvgconverter-from-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 12:25:24 +0200

octavia (4.0.0-5) unstable; urgency=medium

  * Add Fix_template_that_generates_vrrp_check_script.patch.
  * Add debian/python3-octavia.lintian-overrides.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2019 16:34:58 +0200

octavia (4.0.0-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Fix python3-yaml depends and builds depends (Closes: #934323).

 -- Ondřej Nový <onovy@debian.org>  Fri, 09 Aug 2019 21:55:44 +0200

octavia (4.0.0-3) unstable; urgency=medium

  * Fix octavia-agent binary in init/service file.
  * Add Fix-osutils.py-to-detect-Debian.patch.
  * Fixes Amphora's cert ramfs.
  * Add dh_python3 --shebang=/usr/bin/python3 call.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Jul 2019 15:16:56 +0200

octavia (4.0.0-2) experimental; urgency=medium

  * Bump openstack-pkg-tools to version 99

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 16:34:00 +0200

octavia (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:43:07 +0200

octavia (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-py36-compatibility.patch applied upstream.
  * Removed python3- prefix when generating config.
  * Doc patch: hardcode-doc-path.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:53:42 +0100
