=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+OCTAVIA_CONF=$(CURDIR)/debian/octavia-common/usr/share/octavia-common/octavia.conf
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
@@ -11,9 +13,13 @@
 override_dh_clean:
 	dh_clean
 	find . -iname '*.pyc' -delete
-	rm -f debian/*.init debian/*.service debian/*.upstart
+	rm -f AUTHORS
+	rm -f ChangeLog
+	rm -f debian/octavia-agent.octavia-agent.init debian/octavia-api.init debian/octavia-health-manager.init debian/octavia-housekeeping.init debian/octavia-worker.init
+	rm -f debian/octavia-agent.octavia-agent.service debian/octavia-api.service debian/octavia-health-manager.service debian/octavia-housekeeping.service debian/octavia-worker.service
 	rm -rf build
 	rm -rf octavia.sqlite
+	rm -rf octavia.egg-info
 	rm -rf .eggs
 	rm -rf doc/source/contributor/devref/flow_diagrams
 	rm -rf doc/source/contributor/modules
@@ -30,6 +36,8 @@
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-api.config
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.postinst
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-common.config
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.postinst
+	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func octavia-health-manager.config
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm octavia-common.postrm
 	pkgos-merge-templates octavia-api octavia endpoint
 	pkgos-merge-templates octavia-common octavia db rabbit ksat
@@ -58,6 +66,18 @@
 		--namespace oslo.messaging \
 		--namespace keystonemiddleware.auth_token
 
+	# Readd missing options in keystone_authtoken
+	pkgos-readd-keystone-authtoken-missing-options $(OCTAVIA_CONF) keystone_authtoken octavia
+
+	# Fix default values
+	pkgos-fix-config-default $(OCTAVIA_CONF) oslo_messaging topic octavia_prov
+	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth project_domain_name Default
+	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth user_domain_name Default
+	pkgos-fix-config-default $(OCTAVIA_CONF) service_auth auth_type password
+	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker amphora_driver amphora_haproxy_rest_driver
+	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker compute_driver compute_nova_driver
+	pkgos-fix-config-default $(OCTAVIA_CONF) controller_worker network_driver allowed_address_pairs_driver
+
 	# Same with policy.conf
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/octavia-common/usr/share/octavia-common/policy.json \
@@ -72,6 +92,9 @@
 
 	dh_install
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/octavia-doc/usr/share/doc/octavia-doc/html
@@ -81,5 +104,15 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_python3:
-	dh_python3 --shebang=/usr/bin/python3
+override_dh_fixperms:
+	dh_fixperms
+	chmod +x $(CURDIR)/debian/octavia-agent/var/lib/octavia/ping-wrapper.sh
+
+# We use override_dh_installmenu because it's done in the sequence with dh,
+# and we already override dh_installinit in pkgos.make.
+# Obviously, we will never use a Desktop menu in such a package, so that's
+# not a problem.
+override_dh_installmenu:
+	dh_installinit --name=octavia-agent
+	dh_installinit --name=octavia-agent-certs-ramfs
+	dh_installinit --name=amphora-netns
